MediaWiki:Common.css: Difference between revisions

From Infektiopedia
No edit summary
No edit summary
Tag: Manual revert
 
(129 intermediate revisions by 4 users not shown)
Line 20: Line 20:


header.main-header {
header.main-header {
background-color:#efefef;
    background-color: #efefef;
 
}
}


.bs-custom-menu > .level-1 {
.bs-custom-menu>.level-1 {
     padding: 0 1rem;
     padding: 0 1rem;
}
}
Line 32: Line 32:
}
}


/*
#bs-breadcrumb-rootnode{
#bs-breadcrumb-rootnode{
display:none;
display:none;
}
}
*/


/*.bs-page-breadcrumbs, .btn-group .dropdown , .btn .bs-breadcrumb-node  {
/*.bs-page-breadcrumbs, .btn-group .dropdown , .btn .bs-breadcrumb-node  {
Line 40: Line 42:
}
}
*/
*/
.btn.bs-breadcrumb-node {
.btn.bs-breadcrumb-node {
     font-size: 2.4em !important;
     font-size: 2.4em !important;
     line-height: 1em !important;
     line-height: 1em !important;
}
}


.bs-page-edit-elements > li, .bs-page-info-element > ul > li, .bs-page-info-element-button-col, .bs-page-info-element-text-col, .bs-category-add-category, .bs-page-last-edit a, .mw-watchlink, .bs-page-info-element-button{
.bs-page-edit-elements>li,
        font-size: 0.7rem !important;
.bs-page-info-element>ul>li,
.bs-page-info-element-button-col,
.bs-page-info-element-text-col,
.bs-category-add-category,
.bs-page-last-edit a,
.mw-watchlink,
.bs-page-info-element-button {
    font-size: 0.7rem !important;
     line-height: 0.7rem;
     line-height: 0.7rem;
        color: #666666 !important;
    color: #666666 !important;
}
}






.bs-page-namespaces{
.bs-page-namespaces {
display:none;
    display: none;
}
}


/*Sitenotice*/
/*Sitenotice*/
#localNotice > .mw-parser-output > .infobox {
#localNotice>.mw-parser-output>.infobox {
     max-width: 100%;
     max-width: 100%;
     margin-left: 0 !important;
     margin-left: 0 !important;
Line 64: Line 73:
}
}


#localNotice > .mw-parser-output > .infobox > p {
#localNotice>.mw-parser-output>.infobox>p {
     font-size: 0.8rem !important;
     font-size: 0.8rem !important;
}
}


/*Tags*/
/*Tags*/
.bs-category-container-categories .pill{
.bs-category-container-categories .pill {
     color: #666666 !important;
     color: #666666 !important;
     background: rgb(241,241,241)!important;
     background: rgb(241, 241, 241) !important;
     font-size: 0.75em !important;
     font-size: 0.75em !important;
}
}


.bs-category-add-category i::after{
.bs-category-add-category i::after {
     content: " Tags:";
     content: " Tags:";
}
}


/*Remove first horizontal line*/
/*Remove first horizontal line*/
#content > .v-line {
#content>.v-line {
     display: none;
     display: none;
}
}


#content > .v-line ~ .v-line {
#content>.v-line~.v-line {
display:block;
    display: block;
        border-bottom: 2px solid #e9e9e9;
    border-bottom: 2px solid #e9e9e9;
}
}


 
/*
#firstHeading {
#firstHeading {
     display: none;
     display: none;
}
}
*/


#content {
#content {
padding-top: 2em;
    padding-top: 2em;
}
}


Line 108: Line 118:
}*/
}*/


p, ul > li, ol > li {
#mw-content-text p,
#mw-content-text ul>li,
#mw-content-text ol>li {
     font-size: 1.1rem !important;
     font-size: 1.1rem !important;
     line-height: 1.7rem
     line-height: 1.7rem
Line 114: Line 126:


/*adjustment for tables*/
/*adjustment for tables*/
td p, th p, td ul > li {
#mw-content-text td p,
#mw-content-text th p,
#mw-content-text td ul>li {
     font-size: 0.875rem !important;
     font-size: 0.875rem !important;
     line-height: 1.42857143;
     line-height: 1.42857143;
}
}


.toctitle {
.toctitle {
     display: none;
     display: none;
}
}


h2{
h2 {
     padding: 0.2em;
     padding: 0.2em;
     font-size: 2.2rem;
     font-size: 2.2rem;
Line 160: Line 174:




.contenttable-blue{
.contenttable-blue {
     width: 100%;
     width: 100%;
}
}
Line 167: Line 181:
     max-width: 10%;
     max-width: 10%;
}
}
.contenttable-blue td {
.contenttable-blue td {
     width: 80%;
     width: 80%;
}
}


.contenttable-blue table, .contenttable-blue th, .contenttable-blue td {
.contenttable-blue table,
        position:relative;
.contenttable-blue th,
}
.contenttable-blue td {
    position: relative;
}


.contenttable-blue .mini-more-link{
.contenttable-blue .mini-more-link {
     position: absolute;
     position: absolute;
     bottom: 0.5em;
     bottom: 0.5em;
     right: 1em;
     right: 1em;
   
 
}
}




/* adjust footer*/
/* adjust footer*/
#footer-icons{
#footer-icons {
display:none !important;
    display: none !important;
}
}


/*Contribution Section Hallo Welt extension*/
/*Contribution Section Hallo Welt extension*/


    .contrib-section-start,
.contrib-section-start,
    .contrib-section-stop {
.contrib-section-stop {
        display: none;
    display: none;
    }
}
   
 
    .contrib-inline-start,
.contrib-inline-start,
    .contrib-inline-stop {
.contrib-inline-stop {
        display: none;
    display: none;
    }
}
   
   
   








/* Main Page CSS */
.CategoryTreeItem:hover {
.CategoryTreeItem:hover {
background-color:#d9d9d9 ;
    background-color: #d9d9d9;
}
}
   
 
.mp .CategoryTreeLabel {
.mp .CategoryTreeLabel {
font-size: 1.1rem;
    font-size: 1.1rem;
}
}


/*
.mp .CategoryTreeLabelCategory {
.mp .CategoryTreeLabelCategory {
color: black !important;
color: black !important;
cursor: default;
cursor: default;
     pointer-events: none;  
     pointer-events: none;  
}*/
.mp-bullet li {
    list-style-type: none;
}
}


.mp-bullet li {
.mp-bullet li:hover {
list-style-type:none;
    background-color: #d9d9d9;
}
}


.mp-bullet li:hover {
background-color:#d9d9d9;
}
.mp-arrow {
.mp-arrow {
font-size:0.875rem;
    font-size: 0.875rem;
}
}


.mp-child {
.mp-child {
background-color: #f9f9f9;
    background-color: #f9f9f9;
     flex: 1 0 auto;
     flex: 1 0 auto;
     padding: 2em;
     padding: 2em;
Line 239: Line 254:
     box-shadow: 3px 3px 4px 2px #d9d9d9;
     box-shadow: 3px 3px 4px 2px #d9d9d9;
     border-radius: 5px;
     border-radius: 5px;
    text-align: left !important;
}
}


.mp-box {
.mp-box {
display: flex;
    display: flex;
     justify-content: space-around;
     justify-content: space-around;
    width: 100%;
     height: fit-content;
     height: fit-content;
     flex-wrap: wrap;
     flex-wrap: wrap;
Line 252: Line 267:
     column-gap: 1.5em;
     column-gap: 1.5em;
     row-gap: 1.5em;
     row-gap: 1.5em;
    max-width: 100% !important;
     align-items: stretch;
     align-items: stretch;
     border-top: 5px solid #d11520;
     border-top: 5px solid #d11520;
Line 259: Line 273:


.mp-heading {
.mp-heading {
padding: 0.1em;
    padding: 0.1em;
     margin-top: 0px;
     margin-top: 0px;
}
}


.mp-headline {
    font-family: 'Helvetica Neue', sans-serif;
    font-size: calc(30px + 7.8vw) !important;
    font-weight: bold;
    line-height: 1;
    padding-bottom: 0.5vw;
    margin: auto !important;
    max-width: 100% !important;
    text-align: center !important;
}
.mp-subhead {
    font-family: 'Open Sans', sans-serif;
    font-size: calc(6px + 2vw) !important;
    font-weight: 300;
    line-height: 32px;
    margin: 0 0 72px;
    text-align: center;
    letter-spacing: 5px !important;
}
.mp-abstract {
    padding: 1em;
    font-size: 18px;
    margin: auto !important;
    text-align: left !important;
    padding-bottom: 1em;
}
#mp-participate {
    text-align: left !important;
    font-size: 18px;
}
#mp-authors {
    font-size: 18px;
    text-align: left !important;
    padding: 1em;
}
#mp-news {
    font-size: 18px;
    padding: 1em;
}
/* End Main Page CSS */
.reference {
    text-decoration: none;
    font-size: 75%;
    font-weight: normal;
}


.mp-headline {
#mw-content-text p {
font-family: 'Helvetica Neue', sans-serif;  
    text-align: left !important;
font-size: 150px;
    padding-left: 1em;
font-weight: bold;  
    padding-right: 1em;
letter-spacing: -1px;  
}
line-height: 1;  
 
text-align: center;
#mp-br {
padding-bottom:3px ;
    height: 1vw;
}
}
 
.padding-left {
    padding-left: 1em;
}
 
/*
.mw-redirect {
display:none;
}
*/
 
.mw-wiki-logo {
    width: 300px !important;
}
 
p>br:only-child {
    display: none;
}
 
.rootpage-Hauptseite .title-section {
    display: block !important;
}


@media only screen and (max-width: 991px) {
    .mp-box {
        flex-direction: column;
    }


.mp-subhead {  
    .mw-parser-output {
font-family: 'Open Sans', sans-serif;
        overflow-x: hidden;
font-size: 30px;
    }
font-weight: 300;
}
line-height: 32px;
margin: 0 0 72px;
text-align: center;
letter-spacing: 5px !important;
}


.mp-abstract {
.infektiopedia-editbox > i.icon-pencil::before {
font-size: 18px;
    content: "✎";
margin: auto !important;
    font-family: sans-serif;
text-align: justify;
    color: #999999;
padding-bottom:1em;
}
.toclimit-2 > b,
.toclimit-3 > b,
.toclimit-4 > b,
.toclimit-5 > b,
.toclimit-6 > b,
.toclimit-7 > b {
    display: none;
}
/* Hauptseite: hide title bar and discussion tab */
.page-Hauptseite .vector-page-titlebar,
.page-Hauptseite .vector-page-toolbar {
    display: none !important;
}
}

Latest revision as of 11:11, 22 May 2026

/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */


/* Allow limiting of which header levels are shown in a TOC;
   <div class="toclimit-3">, for instance, will limit to
   showing ==headings== and ===headings=== but no further
   (as long as there are no =headings= on the page, which
   there shouldn't be according to the MoS).
 */
.toclimit-2 .toclevel-1 ul,
.toclimit-3 .toclevel-2 ul,
.toclimit-4 .toclevel-3 ul,
.toclimit-5 .toclevel-4 ul,
.toclimit-6 .toclevel-5 ul,
.toclimit-7 .toclevel-6 ul {
    display: none;
}

/*Anpassung Styling Seite generell*/

header.main-header {
    background-color: #efefef;

}

.bs-custom-menu>.level-1 {
    padding: 0 1rem;
}

.bs-page-before-header {
    margin-top: 2em;
}

/*
#bs-breadcrumb-rootnode{
	display:none;
}
*/

/*.bs-page-breadcrumbs, .btn-group .dropdown , .btn .bs-breadcrumb-node  {
    font-size: 2.3em !important;
}
*/
.btn.bs-breadcrumb-node {
    font-size: 2.4em !important;
    line-height: 1em !important;
}

.bs-page-edit-elements>li,
.bs-page-info-element>ul>li,
.bs-page-info-element-button-col,
.bs-page-info-element-text-col,
.bs-category-add-category,
.bs-page-last-edit a,
.mw-watchlink,
.bs-page-info-element-button {
    font-size: 0.7rem !important;
    line-height: 0.7rem;
    color: #666666 !important;
}



.bs-page-namespaces {
    display: none;
}

/*Sitenotice*/
#localNotice>.mw-parser-output>.infobox {
    max-width: 100%;
    margin-left: 0 !important;
    font-size: 0.5rem;
}

#localNotice>.mw-parser-output>.infobox>p {
    font-size: 0.8rem !important;
}

/*Tags*/
.bs-category-container-categories .pill {
    color: #666666 !important;
    background: rgb(241, 241, 241) !important;
    font-size: 0.75em !important;
}

.bs-category-add-category i::after {
    content: " Tags:";
}

/*Remove first horizontal line*/
#content>.v-line {
    display: none;
}

#content>.v-line~.v-line {
    display: block;
    border-bottom: 2px solid #e9e9e9;
}

/*
#firstHeading {
    display: none;
}
*/

#content {
    padding-top: 2em;
}




/*h2 {
    top: 1.8em!important;
    position: sticky;
    background-color: white !important;
    z-index: 10;
}*/

#mw-content-text p,
#mw-content-text ul>li,
#mw-content-text ol>li {
    font-size: 1.1rem !important;
    line-height: 1.7rem
}

/*adjustment for tables*/
#mw-content-text td p,
#mw-content-text th p,
#mw-content-text td ul>li {
    font-size: 0.875rem !important;
    line-height: 1.42857143;
}

.toctitle {
    display: none;
}

h2 {
    padding: 0.2em;
    font-size: 2.2rem;
    font-weight: 500;
    margin-top: 2em;
    margin-bottom: 0.9375rem;
    background: none;
    border-bottom: 5px solid #d11520;
    border-left: 5px solid #d11520;
    border-top: none;
    border-right: none;

}

h3 {
    border-bottom: 1px solid #333333;
    margin-top: 1.2em;
}

h6 {
    margin-top: 1.7em;
}

.mw-collapsed {
    width: 100%;
}



/*Klinische Situationsboxen preview*/

small ul li {
    font-size: 1em !important;
    line-height: 1.2em;
}


.contenttable-blue {
    width: 100%;
}

.contenttable-blue th {
    max-width: 10%;
}

.contenttable-blue td {
    width: 80%;
}

.contenttable-blue table,
.contenttable-blue th,
.contenttable-blue td {
    position: relative;
}

.contenttable-blue .mini-more-link {
    position: absolute;
    bottom: 0.5em;
    right: 1em;

}


/* adjust footer*/
#footer-icons {
    display: none !important;
}

/*Contribution Section Hallo Welt extension*/

.contrib-section-start,
.contrib-section-stop {
    display: none;
}

.contrib-inline-start,
.contrib-inline-stop {
    display: none;
}




/* Main Page CSS */
.CategoryTreeItem:hover {
    background-color: #d9d9d9;
}

.mp .CategoryTreeLabel {
    font-size: 1.1rem;
}

/*
.mp .CategoryTreeLabelCategory {
	color: black !important;
	cursor: default;
    pointer-events: none; 
}*/
.mp-bullet li {
    list-style-type: none;
}

.mp-bullet li:hover {
    background-color: #d9d9d9;
}

.mp-arrow {
    font-size: 0.875rem;
}

.mp-child {
    background-color: #f9f9f9;
    flex: 1 0 auto;
    padding: 2em;
    flex-basis: 40%;
    box-shadow: 3px 3px 4px 2px #d9d9d9;
    border-radius: 5px;
    text-align: left !important;
}

.mp-box {
    display: flex;
    justify-content: space-around;
    height: fit-content;
    flex-wrap: wrap;
    padding: 1.1em;
    align-content: stretch;
    margin: auto !important;
    column-gap: 1.5em;
    row-gap: 1.5em;
    align-items: stretch;
    border-top: 5px solid #d11520;
    padding-top: 2em;
}

.mp-heading {
    padding: 0.1em;
    margin-top: 0px;
}

.mp-headline {
    font-family: 'Helvetica Neue', sans-serif;
    font-size: calc(30px + 7.8vw) !important;
    font-weight: bold;
    line-height: 1;
    padding-bottom: 0.5vw;
    margin: auto !important;
    max-width: 100% !important;
    text-align: center !important;
}

.mp-subhead {
    font-family: 'Open Sans', sans-serif;
    font-size: calc(6px + 2vw) !important;
    font-weight: 300;
    line-height: 32px;
    margin: 0 0 72px;
    text-align: center;
    letter-spacing: 5px !important;
}

.mp-abstract {
    padding: 1em;
    font-size: 18px;
    margin: auto !important;
    text-align: left !important;
    padding-bottom: 1em;
}

#mp-participate {
    text-align: left !important;
    font-size: 18px;
}

#mp-authors {
    font-size: 18px;
    text-align: left !important;
    padding: 1em;
}

#mp-news {
    font-size: 18px;
    padding: 1em;
}

/* End Main Page CSS */

.reference {
    text-decoration: none;
    font-size: 75%;
    font-weight: normal;
}

#mw-content-text p {
    text-align: left !important;
    padding-left: 1em;
    padding-right: 1em;
}

#mp-br {
    height: 1vw;
}

.padding-left {
    padding-left: 1em;
}

/*
.mw-redirect {
	display:none;
}
*/

.mw-wiki-logo {
    width: 300px !important;
}

p>br:only-child {
    display: none;
}

.rootpage-Hauptseite .title-section {
    display: block !important;
}

@media only screen and (max-width: 991px) {
    .mp-box {
        flex-direction: column;
    }

    .mw-parser-output {
        overflow-x: hidden;
    }
}

.infektiopedia-editbox > i.icon-pencil::before {
    content: "✎";
    font-family: sans-serif;
    color: #999999;
}
.toclimit-2 > b,
.toclimit-3 > b,
.toclimit-4 > b,
.toclimit-5 > b,
.toclimit-6 > b,
.toclimit-7 > b {
    display: none;
}
/* Hauptseite: hide title bar and discussion tab */
.page-Hauptseite .vector-page-titlebar,
.page-Hauptseite .vector-page-toolbar {
    display: none !important;
}